php7.1以上 mcrypt_generic_open is deprecated 报错处理

php7.1以上. mcrypt_generic_open is deprecated 这个错误,
就是因为mcrypt扩展,在php7.1以上被废弃,服务器不设置报错等级的话,
这个错误会被框架拦截,然后报出微信demo里的40007错误,
具体解决方案,所有 mcrypt扩展的代码,全部加上 错误抑制符 ,例如
//使用BASE64对需要解密的字符串进行解码
原来的代码

 

修改的代码

 

然后我的问题就解决了。
我的问题主要出在微信的加解密函数上,遇到的坑有几个
1.文档给的class默认有的是小写,
2.一个文件有多个class得拆开
3.构造函数获取的变量名称不对得修改…
这些用断点调试都可以进行解决

还有一种方案是,
我听我朋友说可以用 openssl代替mcrypt扩展的方案(mcrypt编码,openssl解码),
得重写编写微信demo里的代码,虽然我没成功…

 

from:https://blog.csdn.net/qq_38686693/article/details/81388329